package com.ruoyi.erp.mapper;

import com.ruoyi.erp.domain.Region;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface RegionMapper {
    List<Region> selectProvinces();

    List<Region> selectCitiesByProv(@Param("provId") Integer provId);

    List<Region> selectAreasByCity(@Param("provId") Integer provId, @Param("cityId") Integer cityId);
}


